#!/bin/bash


olddir=$(pwd)
basedir="${HOME}/sources/external_builds/tubefeeder"
cd ${basedir}
# Build binary package
RUST_BACKTRACE=full makedeb

# Source info from packagebuild
. PKGBUILD

controlfile="pkg/${pkgname}/debian/control"
maintainer=$(cat PKGBUILD | grep Maintainer | sed 's/^# //')
function logentry() {
        echo "${pkgname} (${pkgver}-${pkgrel}) unstable; urgency=low"
        echo
        echo "  * Source package automatically generated"
	echo

	echo " -- ${maintainer}  $(date -R)"
        echo
}

# Move everything to correct position for reuse for src package
mv pkg/${pkgname}/DEBIAN pkg/${pkgname}/debian
mv ${pkgname}.tar.gz pkg/${pkgname}-${pkgver}.orig.tar.gz
mv src/Tubefeeder-${pkgver}/ pkg/${pkgname}/src

# Create chagelog, rules and fix control
logentry > pkg/${pkgname}/debian/changelog
touch pkg/${pkgname}/debian/rules
chmod +x pkg/${pkgname}/debian/rules
old_control=$(cat ${controlfile} | egrep -v 'Version|Maintainer|License')
new_control="Source: tubefeeder
Priority: optional
Section: video
${maintainer}
Build-Depends: cargo, libxml2-utils, gettext
Standards-Version: 4.0.0
Vcs-browser: https://github.com/Schmiddiii/Tubefeeder/archive/refs/tags/v${pkgver}.tar.gz
Homepage: https://www.tubefeeder.de

${old_control}"
echo "${new_control}" > ${controlfile}

# Build src package
mv pkg/${pkgname}/ pkg/${pkgname}-${pkgver}/
cd pkg/${pkgname}-${pkgver}/
dpkg-buildpackage -S -us -uc
mv ../tubefeeder_* ${olddir}/ 
mv ../../tubefeeder_*.deb ${olddir}/ 
cd ${basedir}
rm -r pkg/ src/
cd ${olddir}
